@Filename: ClkSpdR.s
@Part: ADuC702x.
@Created: 11/03/2004 at 11h58
@Updated: 28/06/2005
@Author: Eckart Hartmann.
@This file is in beta sampling.

.include        "ADuC7020.equ"
.ARM

@ ClkSpdR==========Reads the CD bits and FINT bit.
@ C Function prototype: int ClkSpdR();
@ Description of Function: Reads the CD bits and FINT bit.
@ User interface:
@       Call ClkSpdR.
@       Returns FINT bit in bit 3 and CD in bits 2 to 0.
@ Robustness:  No known issues.
@ Side effects: None known.

.Global ClkSpdR
ClkSpdR:
        mov     r0,#0xff0000            @r0 = Z_BASE;
        orr     r0,r0,#0xff000000
        ldr     r0,[r0,#POWCON_OFFSET]  @Get POWCON
        and     r0,r0,#0x0f
        bx      lr                      @return.

